%define name xmms-mad
%define version 0.8
%define release 1mdk

Summary: XMMS MPEG audio input plugin based on MAD
Name: %{name}
Version: %{version}
Release: %{release}
Source0: http://prdownloads.sourceforge.net/xmms-mad/%{name}-%{version}.tar.bz2
License: GPL
Group: Sound
URL:   http://xmms-mad.sourceforge.net/
BuildRoot: %{_tmppath}/%{name}-buildroot
Requires: xmms
BuildRequires: libxmms-devel 
BuildRequires: mad-devel >= 0.14.2b-4mdk
BuildRequires: libid3tag-devel

%description
xmms-mad is an input plugin for xmms (http://www.xmms.org/) that uses
libmad (http://mad.sourceforge.net/) to decode MPEG layer 1/2/3 file
and streams.

Current features include:
 * local mp3 file playback
 * shoutchast/icecast stream playback
 * ID3 tag parsing
 * play time calculation (slow)
 * http header parsing

%prep
%setup -q

%build
%configure2_5x
%make

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall_std
rm -f %buildroot%{_libdir}/xmms/Input/libxmmsmad.la

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc AUTHORS README
%{_libdir}/xmms/Input/libxmmsmad.so

%changelog
* Thu Feb 10 2005 Götz Waschk <waschk@linux-mandrake.com> 0.8-1mdk
- New release 0.8

* Sat Oct 30 2004 Goetz Waschk <waschk@linux-mandrake.com> 0.7-1mdk
- New release 0.7

* Tue Jul  6 2004 Gtz Waschk <waschk@linux-mandrake.com> 0.6-1mdk
- reenable libtoolize
- New release 0.6

* Sun May 16 2004 Gtz Waschk <waschk@linux-mandrake.com> 0.5.7-1mdk
- add source url
- New release 0.5.7

* Tue Dec 30 2003 Gtz Waschk <waschk@linux-mandrake.com> 0.5.6-1mdk
- new version

* Thu Oct  2 2003 Gtz Waschk <waschk@linux-mandrake.com> 0.5.5-1mdk
- don't libtoolize
- fix buildrequires
- new version

* Sat Aug  2 2003 Gtz Waschk <waschk@linux-mandrake.com> 0.5.4-1mdk
- new version

* Fri Aug  1 2003 Gtz Waschk <waschk@linux-mandrake.com> 0.5.3-1mdk
- drop prefix
- new version

* Fri Jun 27 2003 Gtz Waschk <waschk@linux-mandrake.com> 0.5.1-3mdk
- fix buildrequires

* Fri Dec 27 2002 Gtz Waschk <waschk@linux-mandrake.com> 0.5.1-2mdk
- clean unpackaged files
- fix doc file list

* Mon Oct 21 2002 Gtz Waschk <waschk@linux-mandrake.com> 0.5.1-1mdk
- require latest mad-devel for pkgconfig file
- new version

* Sat Sep 21 2002 Gtz Waschk <waschk@linux-mandrake.com> 0.5.0-1mdk
- new version

* Fri Sep 20 2002 Gtz Waschk <waschk@linux-mandrake.com> 0.2.0-1mdk
- new version

* Fri Aug 23 2002 Gtz Waschk <waschk@linux-mandrake.com> 0.1.1-1mdk
- new version

* Sat Aug  3 2002 Gtz Waschk <waschk@linux-mandrake.com> 0.1.0-1mdk
- initial package
